searchData={"items":[{"type":"module","title":"MakeupXml","doc":"A `Makeup` lexer for XML.","ref":"MakeupXml.html"},{"type":"function","title":"MakeupXml.root/2","doc":"Parses the given `binary` as root.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"MakeupXml.html#root/2"},{"type":"function","title":"Options - MakeupXml.root/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"MakeupXml.html#root/2-options"},{"type":"function","title":"MakeupXml.root_element/2","doc":"Parses the given `binary` as root_element.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root_element (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"MakeupXml.html#root_element/2"},{"type":"function","title":"Options - MakeupXml.root_element/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"MakeupXml.html#root_element/2-options"},{"type":"extras","title":"MakeupXml","doc":"# MakeupXml\n\nA [Makeup][makeup] lexer for XML.\n\nThis lexer is not fully comprehensive, but should be able to process the vast\nmajority of XML documents with good results. It matches opening and closing\ntags as delimiters for nice highlighting.\n\n[makeup]: https://github.com/elixir-makeup/makeup/","ref":"readme.html"},{"type":"extras","title":"Installation - MakeupXml","doc":"Add `makeup_xml` to your dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:makeup_xml, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThe lexer is automatically registered to Makeup for the XML language and .xml\nfile extension.","ref":"readme.html#installation"},{"type":"extras","title":"Example - MakeupXml","doc":"When processed using ExDoc the following serves as an example of highlighting\nwith this lexer. Run `mix docs` to generate the documentation or see the result\non HexDocs.\n\n```xml\n<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<!DOCTYPE note SYSTEM \"Note.dtd\">\n<?php echo \"hi\"; ?>\n \n   Joni \n   Jani \n   Reminder \n   Don't forget me this weekend! \n  <!-- This is a comment -->\n   Best regards \n \n```","ref":"readme.html#example"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}